package com.qmth.teachcloud.common.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * pdf生成类型
 */
public enum CreatePdfTypeEnum {

    ALL("全部"),
    PAPER("试卷"),
    CARD_A3("题卡"),
    SIGN("签到表"),
    PACKAGE("卷袋贴"),
    CHECK_IN("登记表");

    CreatePdfTypeEnum(String name) {
        this.name = name;
    }

    private String name;

    public String getName() {
        return name;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (CreatePdfTypeEnum value : CreatePdfTypeEnum.values()) {
            EnumResult result = new EnumResult();
            result.setCode(value.name());
            result.setName(value.getName());
            result.setOrdinal(value.ordinal());
            list.add(result);
        }
        return list;
    }

}
